osl::eval::ml::SilverRetreat Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | List of all members
osl::eval::ml::SilverRetreat Class Reference

`#include <minorPiece.h>`

Inheritance diagram for osl::eval::ml::SilverRetreat:
[legend]
Collaboration diagram for osl::eval::ml::SilverRetreat:
[legend]

## Public Types
enum | { DIM = 9 }

## Static Public Member Functions
static void | setUp (const Weights &weights, int stage)
Static Public Member Functions inherited from osl::eval::ml::SilverFeatures
static MultiInt | eval (const NumEffectState &state)

## Additional Inherited Members
Public Member Functions inherited from osl::eval::ml::SilverFeatures
template<osl::Player P>
bool | canRetreat (const osl::state::NumEffectState &state, const osl::Piece silver)
Static Protected Member Functions inherited from osl::eval::ml::SilverFeatures
template<Player P>
static int | indexRetreat (Square pos)
template<Player P>
static bool | canRetreat (const NumEffectState &state, const Piece silver)
template<Player P>
static MultiInt | evalOne (const NumEffectState &state, const Piece silver, const CArray< Square, 2 > &kings)
Static Protected Attributes inherited from osl::eval::ml::SilverFeatures
static CArray< MultiInt, 153 > | head_table
static CArray< MultiInt, 9 > | retreat_table

## Detailed Description

Definition at line 595 of file minorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DIM |

Definition at line 598 of file minorPiece.h.

## Member Function Documentation

void osl::eval::ml::SilverRetreat::setUp | ( | const Weights & | weights,
|  | int | stage
| ) |  |
| static

Definition at line 361 of file minorPiece.cc.

References osl::eval::ml::Weights::dimension(), and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc